## pim-sieve-editor 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.3.3")
project( sieveeditor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "24.12.3")

# Update it for each release
set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.03.03") # yy.MM.dd

set(KF_MIN_VERSION "6.6.0")
set(QT_REQUIRED_VERSION "6.7.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)


include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h

)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
src/*.cpp
src/*.h
autotests/*.cpp
autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION )

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KMAILTRANSPORT_LIB_VERSION "6.3.3")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(LIBKSIEVE_LIB_VERSION "6.3.3")
set(PIMCOMMON_LIB_VERSION "6.3.3")
set(KIMAP_LIB_VERSION "6.3.3")


find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network)

# Find KF6 package
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Bookmarks ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6DocTools ${KF_MIN_VERSION})
find_package(KF6I18n ${KF_MIN_VERSION})
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
    "Tools to generate documentation"
    TYPE OPTIONAL
)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(KF6::UserFeedback PROPERTIES DESCRIPTION "User Feedback lib" TYPE OPTIONAL PURPOSE "Allow to send Telemetry Information (optional).")

if(NOT WIN32 AND NOT APPLE) 
   find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
endif()



# Find KdepimLibs Package
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)



include_directories(${sieveeditor_SOURCE_DIR} ${sieveeditor_BINARY_DIR})

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0  KF 6.8.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
   find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(serversievesettingstest  serversievesettingstest.cpp)
add_test(NAME serversievesettingstest COMMAND serversievesettingstest)
ecm_mark_as_test(serversievesettingstest)
target_link_libraries(serversievesettingstest Qt::Test Qt::Widgets KPim6::MailTransport KF6::I18n KF6::ConfigGui KPim6::KSieveUi libsieveeditor)

set(sieveeditorutiltest_source sieveeditorutiltest.cpp)
add_executable(sieveeditorutiltest ${sieveeditorutiltest_source})
add_test(NAME sieveeditorutiltest COMMAND sieveeditorutiltest)
ecm_mark_as_test(sieveeditorutiltest)
target_link_libraries(sieveeditorutiltest Qt::Test KPim6::MailTransport KF6::I18n KF6::ConfigGui KPim6::KSieveUi libsieveeditor)

# convenience macro to add qtest unit tests
macro(add_sieveserver_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    add_test( NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sieveserver-${_name})
    target_link_libraries(${_name}
        Qt::Test
        Qt::Widgets
        KF6::I18n
        KPim6::MailTransport
        KPim6::KSieveUi
        libsieveeditor
)
endmacro()

add_sieveserver_unittest( sieveeditorconfigureserverpagetest.cpp)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
configure_file(sieveeditor-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/sieveeditor-version.h @ONLY)

add_library(libsieveeditor)

configure_file(config-pim-sieve-editor.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-pim-sieve-editor.h)

kconfig_add_kcfg_files(libsieveeditor settings/sieveeditorglobalconfig.kcfgc)

target_sources(libsieveeditor PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingwizard.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingsearchpage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingnofoundpage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingprogresspage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/importimapsettingfinishpage.cpp
)

target_sources(libsieveeditor PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsakonadicheckjob.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsthunderbirdcheckjob.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/abstractimapsettingscheckjob.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/abstractimapsettingspassword.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/importwizard/checks/importimapsettingsakonadipassword.cpp
)

if(TARGET KF6::UserFeedbackWidgets)
    add_definitions(-DWITH_KUSERFEEDBACK)
endif()


if(TARGET KF6::UserFeedbackWidgets)
    target_sources(libsieveeditor PRIVATE
        userfeedback/userfeedbackmanager.cpp
        userfeedback/userfeedbackmanager.h
)
endif()


target_sources(libsieveeditor PRIVATE
    sieveeditormainwindow.cpp
    serversievesettingsdialog.cpp
    serversievesettings.cpp
    sieveeditormainwidget.cpp
    sieveeditorconfiguredialog.cpp
    sieveeditorscriptmanagerwidget.cpp
    sieveeditorutil.cpp
    serversievelistwidget.cpp
    sieveeditorconfigureserverwidget.cpp
    sieveeditormanagesievewidget.cpp
    sieveeditorpagewidget.cpp
    sieveeditortabwidget.cpp
    sieveeditorcentralwidget.cpp
    sieveeditorconfigureserverpage.cpp
    sieveeditorbookmarks.cpp
    sieveeditoremptytabwidgetlabel.cpp
    readserversieveconfigjob.cpp
    sieveeditorsavepasswordjob.cpp
    sieveeditor.qrc
    libsieveeditor_private_export.h
    sieveeditortabwidget.h
    sieveeditoremptytabwidgetlabel.h
    sieveeditormainwindow.h
    sieveeditormainwidget.h
    sieveeditorconfiguredialog.h
    readserversieveconfigjob.h
    sieveeditorconfigureserverwidget.h
    serversievesettings.h
    serversievelistwidget.h
    sieveeditorscriptmanagerwidget.h
    sieveeditorcentralwidget.h
    sieveeditorutil.h
    serversievesettingsdialog.h
    sieveeditormanagesievewidget.h
    importwizard/importimapsettingfinishpage.h
    importwizard/checks/abstractimapsettingscheckjob.h
    importwizard/checks/importimapsettingsakonadicheckjob.h
    importwizard/checks/importimapsettingsthunderbirdcheckjob.h
    importwizard/checks/importimapsettingsakonadipassword.h
    importwizard/checks/abstractimapsettingspassword.h
    importwizard/importimapsettingwizard.h
    importwizard/importimapsettingprogresspage.h
    importwizard/importimapsettingnofoundpage.h
    importwizard/importimapsettingsearchpage.h
    sieveeditorsavepasswordjob.h
    sieveeditorbookmarks.h
    sieveeditorpagewidget.h
    sieveeditorconfigureserverpage.h
    sievepurposemenuwidget.cpp
    sievepurposemenuwidget.h
)

ki18n_wrap_ui(libsieveeditor
    ui/serversievesettings.ui
    ui/sieveeditorconfigureserverwidget.ui
)
ecm_qt_declare_logging_category(libsieveeditor HEADER sieveeditor_debug.h
	IDENTIFIER SIEVEEDITOR_LOG 
	CATEGORY_NAME org.kde.pim.sieveeditor 
	OLD_CATEGORY_NAMES log_sieveeditor 
	DESCRIPTION "sieveeditor (sieveeditor)" EXPORT SIEVEEDITOR)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(libsieveeditor PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(libsieveeditor BASE_NAME libsieveeditor)

set(libsieveeditor_userfeedback_LIB)
if(TARGET KF6::UserFeedbackWidgets)
    set(libsieveeditor_userfeedback_LIB KF6::UserFeedbackWidgets)
endif()


target_link_libraries(libsieveeditor
    PRIVATE
    KPim6::MailTransport
    KF6::Bookmarks
    KF6::I18n
    KF6::XmlGui
    KF6::BookmarksWidgets
    KPim6::PimCommon
    KPim6::KSieveUi
    KPim6::KManageSieve
    ${libsieveeditor_userfeedback_LIB}
)
target_link_libraries(libsieveeditor PRIVATE qt6keychain)

set_target_properties(libsieveeditor
    PROPERTIES OUTPUT_NAME sieveeditor VERSION ${KDEPIM_LIB_VERSION} SOVERSION ${KDEPIM_LIB_SOVERSION}
)

set(sieveeditor_SRCS main.cpp)

add_executable(sieveeditor ${sieveeditor_SRCS})

target_link_libraries(sieveeditor
    KF6::CoreAddons
    KF6::Crash
    libsieveeditor
    KF6::XmlGui
    KF6::I18n
    ${libsieveeditor_userfeedback_LIB}
    KF6::IconThemes
)
if(NOT WIN32 AND NOT APPLE)
    target_link_libraries(sieveeditor KF6::DBusAddons)
endif()    	
install(TARGETS sieveeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

install(PROGRAMS org.kde.sieveeditor.desktop DESTINATION ${KDE_INSTALL_APPDIR})


install(FILES settings/sieveeditorglobalconfig.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(TARGETS libsieveeditor ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)


if(BUILD_TESTING)
    add_subdirectory(importwizard/autotests)
    add_subdirectory(importwizard/tests)
endif()

install(FILES org.kde.sieveeditor.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
ecm_qt_install_logging_categories(EXPORT SIEVEEDITOR FILE sieveeditor.categories DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

add_subdirectory(icons)

=== src/importwizard/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_definitions(-DIMPORTWIZARD_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")

macro(add_sieveeditor_importwizard_unittest _source _additionsource)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_additionsource} ${_name}.h
        TEST_NAME ${_name}
        NAME_PREFIX "sieveeditor-importwizard-"
        LINK_LIBRARIES Qt::Test KF6::I18n Qt::Gui Qt::Widgets
        KPim6::MailTransport KF6::ConfigCore KF6::ConfigGui KPim6::KSieveUi libsieveeditor
)
endmacro()



add_sieveeditor_importwizard_unittest(importimapsettingsearchpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingnofoundpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingsakonadicheckjobtest.cpp "importimapsettingspasswordtest.cpp")
add_sieveeditor_importwizard_unittest(importimapsettingprogresspagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingfinishpagetest.cpp "")
add_sieveeditor_importwizard_unittest(importimapsettingsthunderbirdcheckjobtest.cpp "")

=== src/importwizard/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(sieveeditorimportwizardtest main.cpp)

target_link_libraries(sieveeditorimportwizardtest
    Qt::Widgets
    KF6::WidgetsAddons
    KF6::I18n
    KF6::ConfigCore
    KF6::ConfigGui
    KPim6::MailTransport
    KPim6::KSieveUi
    libsieveeditor
)

=== debian/changelog ===
pim-sieve-editor (4:24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:50:25 +0100

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 24.12.3~),
               libkmailtransport-dev (>= 24.12.3~),
               libksieve-dev (>= 4:24.12.3~),
               libpimcommon-dev (>= 4:24.12.3~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/pim-sieve-editor.git
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
		dh_auto_test --no-parallel

## pim-sieve-editor 25.07.80

=== debian/changelog ===
pim-sieve-editor (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:58 +0100

pim-sieve-editor (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:57:55 +0100

pim-sieve-editor (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:03:40 +0100

pim-sieve-editor (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:19:44 +0100

pim-sieve-editor (4:25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:05:55 +0100

pim-sieve-editor (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>,
           Sandro Knauß <hefee@debian.org>,
           Sune Vuorela <sune@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libkf6bookmarks-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6userfeedback-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkimap-dev (>= 25.07.80~),
               libkmailtransport-dev (>= 25.07.80~),
               libksieve-dev (>= 4:25.07.80~),
               libpimcommon-dev (>= 4:25.07.80~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qtkeychain-qt6-dev (>= 0.14.2~),
               xauth,
               xvfb,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/pim-sieve-editor
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/pim-sieve-editor
Rules-Requires-Root: no

Package: pim-sieve-editor
Section: mail
Architecture: amd64 arm64 armhf i386
Depends: kio6, ${misc:Depends}, ${shlibs:Depends},
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

## pim-sieve-editor 25.07.90

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.4.90")
project(sieveeditor VERSION ${PIM_VERSION})
set(RELEASE_SERVICE_VERSION "25.07.90")

# Update it for each release
set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd

# Use true if stable version => we will check specific version
set(SIEVEEDITOR_STABLE_VERSION true)

set(KF_MIN_VERSION "6.14.0")
set(QT_REQUIRED_VERSION "6.8.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(CMAKE_CXX_STANDARD 20)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
include(ECMInstallIcons)

include(ECMSetupVersion)
include(ECMAddTests)

include(GenerateExportHeader)
include(ECMGenerateHeaders)

file(
    GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
set(PRE_COMMIT_INSTALLED FALSE)
if(${CMAKE_SOURCE_DIR} STREQUAL ${PROJECT_SOURCE_DIR})
    if(EXISTS "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit")
        file(READ "${PROJECT_SOURCE_DIR}/.git/hooks/pre-commit" FILE_CONTENTS)
        string(FIND "${FILE_CONTENTS}" "File generated by pre-commit" INDEX)
        if(${INDEX} GREATER_EQUAL 0)
            set(PRE_COMMIT_INSTALLED TRUE)
        endif()
    endif()
endif()
if(NOT ${PRE_COMMIT_INSTALLED})
    include(KDEGitCommitHooks)
    include(KDEClangFormat)
    kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
endif()

include(CheckFunctionExists)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMCheckOutboundLicense)
file(
    GLOB_RECURSE ALL_SOURCE_FILES
    src/*.cpp
    src/*.h
    autotests/*.cpp
    autotests/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})

# Do NOT add quote
set(KDEPIM_DEV_VERSION rc)

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

set(KMAILTRANSPORT_LIB_VERSION "6.4.90")

set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
set(KDEPIM_LIB_SOVERSION "6")

set(LIBKSIEVE_LIB_VERSION "6.4.90")
set(PIMCOMMON_LIB_VERSION "6.4.90")
set(KIMAP_LIB_VERSION "6.4.90")

find_package(
    Qt6
    ${QT_REQUIRED_VERSION}
    CONFIG
    REQUIRED
        Widgets
        Network
)

if(Qt6Gui_VERSION VERSION_GREATER_EQUAL "6.10.0")
    find_package(Qt6GuiPrivate ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE)
endif()

# Find KF6 package
find_package(KF6CoreAddons ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Crash ${KF_MIN_VERSION} REQUIRED)
find_package(KF6Bookmarks ${KF_MIN_VERSION} REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} REQUIRED)
find_package(KF6XmlGui ${KF_MIN_VERSION} REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} REQUIRED)

find_package(KF6DocTools ${KF_MIN_VERSION})
find_package(KF6I18n ${KF_MIN_VERSION})
find_package(KF6IconThemes ${KF_MIN_VERSION} QUIET)
set_package_properties(
    KF6DocTools
    PROPERTIES
        DESCRIPTION
            "Tools to generate documentation"
        TYPE
            OPTIONAL
)
find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
set_package_properties(
    KF6::UserFeedback
    PROPERTIES
        DESCRIPTION
            "User Feedback lib"
        TYPE
            OPTIONAL
        PURPOSE
            "Allow to send Telemetry Information (optional)."
)

# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()

option(USE_DBUS "Build components using DBus" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
    set(WITH_DBUS TRUE)
    find_package(KF6DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
else()
    find_package(KDSingleApplication-qt6 CONFIG REQUIRED)
endif()

# Find KdepimLibs Package
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommon ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6KSieveUi ${LIBKSIEVE_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(
    Qt6Keychain
    PROPERTIES
        DESCRIPTION
            "Provides support for secure credentials storage"
        URL
            "https://github.com/frankosterfeld/qtkeychain"
        TYPE
            REQUIRED
)

include_directories(
    ${sieveeditor_SOURCE_DIR}
    ${sieveeditor_BINARY_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0  KF 6.16.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
    find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Test)
endif()
add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

if(DEFINED kde_configure_git_pre_commit_hook)
    kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
endif()

ki18n_install(po)

if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
pim-sieve-editor (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:03:23 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.07.80~),
-               libkmailtransport-dev (>= 25.07.80~),
-               libksieve-dev (>= 4:25.07.80~),
-               libpimcommon-dev (>= 4:25.07.80~),
+               libkimap-dev (>= 25.07.90~),
+               libkmailtransport-dev (>= 25.07.90~),
+               libksieve-dev (>= 4:25.07.90~),
+               libpimcommon-dev (>= 4:25.07.90~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## pim-sieve-editor 25.08.0

=== debian/changelog ===
pim-sieve-editor (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:01:26 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.07.90~),
-               libkmailtransport-dev (>= 25.07.90~),
-               libksieve-dev (>= 4:25.07.90~),
-               libpimcommon-dev (>= 4:25.07.90~),
+               libkimap-dev (>= 25.08.0~),
+               libkmailtransport-dev (>= 25.08.0~),
+               libksieve-dev (>= 4:25.08.0~),
+               libpimcommon-dev (>= 4:25.08.0~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## pim-sieve-editor 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # SPDX-License-Identifier: BSD-3-Clause
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.4.90")
+set(PIM_VERSION "6.5.1")
 project(sieveeditor VERSION ${PIM_VERSION})
-set(RELEASE_SERVICE_VERSION "25.07.90")
+set(RELEASE_SERVICE_VERSION "25.08.1")
 
 # Update it for each release
 set(SIEVEEDITOR_RELEASE_VERSION_DATE "25.08.10") # yy.MM.dd
@@ -70,7 +70,7 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION rc)
+set(KDEPIM_DEV_VERSION)
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -79,14 +79,14 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(KMAILTRANSPORT_LIB_VERSION "6.4.90")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.1")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(LIBKSIEVE_LIB_VERSION "6.4.90")
-set(PIMCOMMON_LIB_VERSION "6.4.90")
-set(KIMAP_LIB_VERSION "6.4.90")
+set(LIBKSIEVE_LIB_VERSION "6.5.1")
+set(PIMCOMMON_LIB_VERSION "6.5.1")
+set(KIMAP_LIB_VERSION "6.5.1")
 
 find_package(
     Qt6

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
add_executable(serversievesettingstest serversievesettingstest.cpp)
add_test(NAME serversievesettingstest COMMAND serversievesettingstest)
ecm_mark_as_test(serversievesettingstest)
target_link_libraries(
    serversievesettingstest
    Qt::Test
    Qt::Widgets
    KPim6::MailTransport
    KF6::I18n
    KF6::ConfigGui
    KPim6::KSieveUi
    libsieveeditor
)

set(sieveeditorutiltest_source sieveeditorutiltest.cpp)
add_executable(sieveeditorutiltest ${sieveeditorutiltest_source})
add_test(NAME sieveeditorutiltest COMMAND sieveeditorutiltest)
ecm_mark_as_test(sieveeditorutiltest)
target_link_libraries(
    sieveeditorutiltest
    Qt::Test
    KPim6::MailTransport
    KF6::I18n
    KF6::ConfigGui
    KPim6::KSieveUi
    libsieveeditor
)

# convenience macro to add qtest unit tests
macro(add_sieveserver_unittest _source)
    set(_test ${_source})
    get_filename_component(_name ${_source} NAME_WE)
    add_executable(${_name} ${_test})
    add_test(NAME ${_name} COMMAND ${_name})
    ecm_mark_as_test(sieveserver-${_name})
    target_link_libraries(
        ${_name}
        Qt::Test
        Qt::Widgets
        KF6::I18n
        KPim6::MailTransport
        KPim6::KSieveUi
        libsieveeditor
    )
endmacro()

add_sieveserver_unittest( sieveeditorconfigureserverpagetest.cpp)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
# SPDX-License-Identifier: BSD-3-Clause
########### install files ###############
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR sieveeditor)

=== src/importwizard/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightText: 2013-2024 Laurent Montel <montel@kde.org>
+# SPDX-FileCopyrightText: 2013-2025 Laurent Montel <montel@kde.org>
 # SPDX-License-Identifier: BSD-3-Clause
 add_definitions(-DIMPORTWIZARD_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/data")
 
@@ -9,10 +9,8 @@
         NAME_PREFIX "sieveeditor-importwizard-"
         LINK_LIBRARIES Qt::Test KF6::I18n Qt::Gui Qt::Widgets
         KPim6::MailTransport KF6::ConfigCore KF6::ConfigGui KPim6::KSieveUi libsieveeditor
-)
+    )
 endmacro()
-
-
 
 add_sieveeditor_importwizard_unittest(importimapsettingsearchpagetest.cpp "")
 add_sieveeditor_importwizard_unittest(importimapsettingnofoundpagetest.cpp "")

=== debian/changelog ===
pim-sieve-editor (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:14:24 +0100

=== debian/control ===
--- 
+++ 
@@ -22,10 +22,10 @@
                libkf6kio-dev (>= 6.6.0~),
                libkf6userfeedback-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkimap-dev (>= 25.08.0~),
-               libkmailtransport-dev (>= 25.08.0~),
-               libksieve-dev (>= 4:25.08.0~),
-               libpimcommon-dev (>= 4:25.08.0~),
+               libkimap-dev (>= 25.08.1~),
+               libkmailtransport-dev (>= 25.08.1~),
+               libksieve-dev (>= 4:25.08.1~),
+               libpimcommon-dev (>= 4:25.08.1~),
                pkgconf,
                qt6-base-dev (>= 6.7.0~),
                qtkeychain-qt6-dev (>= 0.14.2~),

## pim-sieve-editor 25.08.1+p24.04+vstable+git20251001.0106

=== debian/changelog ===
pim-sieve-editor (4:25.08.1+p24.04+vstable+git20251001.0106-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 01:06:04 +0000

pim-sieve-editor (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 11:22:56 +0000

pim-sieve-editor (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 14:51:15 +0000

pim-sieve-editor (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:04:38 +0000

pim-sieve-editor (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:17:26 +0000

pim-sieve-editor (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:55:55 +0000

pim-sieve-editor (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:13:06 +0000

pim-sieve-editor (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:44:06 +0000

pim-sieve-editor (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:09:06 +0000

pim-sieve-editor (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:03:43 +0000

pim-sieve-editor (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:56:45 +0000

pim-sieve-editor (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:20:26 +0000

pim-sieve-editor (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:43:41 +0000

pim-sieve-editor (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:15:32 +0000

pim-sieve-editor (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:07:39 +0000

pim-sieve-editor (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:48:54 +0000

pim-sieve-editor (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:07:37 +0000

pim-sieve-editor (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:51:56 +0000

pim-sieve-editor (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:40:58 +0000

pim-sieve-editor (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:20:16 +0000

pim-sieve-editor (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 15:42:10 +0000

pim-sieve-editor (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:58:05 +0000

pim-sieve-editor (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 14:23:55 +0000

pim-sieve-editor (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:29:15 +0000

pim-sieve-editor (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:07:58 +0000

pim-sieve-editor (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:56:39 +0000

pim-sieve-editor (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:35:40 +0000

pim-sieve-editor (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:10:10 +0000

pim-sieve-editor (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:16:34 +0000

pim-sieve-editor (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:37:28 +0000

pim-sieve-editor (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:52:45 +0000

pim-sieve-editor (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:25:13 +0000

pim-sieve-editor (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:46:21 +0000

pim-sieve-editor (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:45:29 +0000

pim-sieve-editor (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:01:49 +0000

pim-sieve-editor (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:06:29 +0000

pim-sieve-editor (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:09:51 +0000

pim-sieve-editor (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 14:52:30 +0000

pim-sieve-editor (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:29 +0000

pim-sieve-editor (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:47:09 +0000

pim-sieve-editor (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:09:59 +0000

pim-sieve-editor (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:25:51 +0000

pim-sieve-editor (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:58:21 +0000

pim-sieve-editor (4:21.04.0-0neon) focal; urgency=medium

  * New release



=== debian/control ===
Source: pim-sieve-editor
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-sonnet-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libx11-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/pim-sieve-editor.git
Vcs-Browser: https://invent.kde.org/neon/kde/pim-sieve-editor
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-sieve-editor
Section: mail
Architecture: any
Depends: kf6-kio, ${misc:Depends}, ${shlibs:Depends}
Replaces: pim-sieve-editor
Description: IMAP Sieve filter editor
 An application to assist with editing IMAP Sieve filters.

Package: pim-sieve-editor
Architecture: all
Depends: kpim6-sieve-editor, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## pim-sieve-editor 25.08.1+p24.04+vstable+git20251001.0622

=== debian/changelog ===
pim-sieve-editor (4:25.08.1+p24.04+vstable+git20251001.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 06:22:53 +0000
